# directive

this repo contains c code for a terminal named st.

we are translating this code to dlang, using the deimos x11 bindings.

the goal is to be 1:1 in terms of functionality, and to be implemented in a similar manner such that it is easy to debug the d code via the c code.

debugging should be done through comparing the c implementation to the d implementation and fixing the d implementation.

do not modify the c code.

don't forget to rebuild the code with `dub build` before you run or ask me to run the program.

use the std.logger package for logging, using the trace level for temporary debug logs
